org.eclipse.viatra.cep.vepl.jvmmodel

## Class IQGenerator

- java.lang.Object
- - org.eclipse.viatra.cep.vepl.jvmmodel.IQGenerator

-     public class IQGenerator
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IQGenerator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `generateQueryEngine2CepEngine(java.util.List<QueryResultChangeEventPattern> patterns, EventModel model, org.eclipse.xtext.xbase.jvmmodel.IJvmDeclaredTypeAcceptor acceptor, org.eclipse.xtext.xbase.jvmmodel.JvmTypeReferenceBuilder typeRefBuilder)`
    `java.lang.Iterable<QueryResultChangeEventPattern>` | `patternsRequiringAppearAction(java.util.List<QueryResultChangeEventPattern> patterns)`
    `java.lang.Iterable<QueryResultChangeEventPattern>` | `patternsRequiringDisappearAction(java.util.List<QueryResultChangeEventPattern> patterns)`
    `boolean` | `requiresAppearAction(QueryResultChangeEventPattern pattern)`
    `boolean` | `requiresDisappearAction(QueryResultChangeEventPattern pattern)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IQGenerator

          public IQGenerator()

  - ### Method Detail

    - #### generateQueryEngine2CepEngine

          public void generateQueryEngine2CepEngine(java.util.List<QueryResultChangeEventPattern> patterns,
                                                    EventModel model,
                                                    org.eclipse.xtext.xbase.jvmmodel.IJvmDeclaredTypeAcceptor acceptor,
                                                    org.eclipse.xtext.xbase.jvmmodel.JvmTypeReferenceBuilder typeRefBuilder)

    - #### requiresAppearAction

          public boolean requiresAppearAction(QueryResultChangeEventPattern pattern)

    - #### patternsRequiringAppearAction

          public java.lang.Iterable<QueryResultChangeEventPattern> patternsRequiringAppearAction(java.util.List<QueryResultChangeEventPattern> patterns)

    - #### requiresDisappearAction

          public boolean requiresDisappearAction(QueryResultChangeEventPattern pattern)

    - #### patternsRequiringDisappearAction

          public java.lang.Iterable<QueryResultChangeEventPattern> patternsRequiringDisappearAction(java.util.List<QueryResultChangeEventPattern> patterns)